summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Metzler <ametzler@downhill.at.eu.org>2012-12-24 13:33:05 +0100
committerAndreas Metzler <ametzler@downhill.at.eu.org>2012-12-24 13:33:05 +0100
commite993c3791ded040066bbe497ab7fabe75c0cd608 (patch)
tree58144891031e0f3e3cb03a79d9e3af0c790e02b2
parent9f9777418bb799a6225de067360a2c395df42c3e (diff)
downloadexim4-e993c3791ded040066bbe497ab7fabe75c0cd608.tar.gz
Remove obsolete conffile /etc/cron.monthly/exim4-base which was only
shipped in 4.69-3. Closes: #689334
-rw-r--r--debian/changelog2
-rw-r--r--debian/exim4-base.preinst30
2 files changed, 32 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index 45d237a..37f5f21 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -16,6 +16,8 @@ exim4 (4.80-7) UNRELEASED; urgency=low
listed one. If all listed hosts are unresolvable the mail is still
defered, since host_all_ignored is set to defer by default. Therefore the
behavior does not change for single-smarthost systems. Closes: #658878
+ * Remove obsolete conffile /etc/cron.monthly/exim4-base which was only
+ shipped in 4.69-3. Closes: #689334
-- Andreas Metzler <ametzler@debian.org> Sun, 25 Nov 2012 09:30:18 +0100
diff --git a/debian/exim4-base.preinst b/debian/exim4-base.preinst
new file mode 100644
index 0000000..ff53dbb
--- /dev/null
+++ b/debian/exim4-base.preinst
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+# Remove a no-longer used conffile
+rm_conffile() {
+ local PKGNAME="$1"
+ local CONFFILE="$2"
+
+ [ -e "$CONFFILE" ] || return 0
+
+ local md5sum="$(md5sum $CONFFILE | sed -e 's/ .*//')"
+ local old_md5sum="$(dpkg-query -W -f='${Conffiles}' $PKGNAME | \
+ sed -n -e "\' $CONFFILE ' { s/ obsolete$//; s/.* //; p }")"
+ if [ "$md5sum" != "$old_md5sum" ]; then
+ echo "Obsolete conffile $CONFFILE has been modified by you."
+ echo "Saving as $CONFFILE.dpkg-bak ..."
+ mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+ else
+ echo "Removing obsolete conffile $CONFFILE ..."
+ rm -f "$CONFFILE"
+ fi
+}
+
+case "$1" in
+install|upgrade)
+ # Remove post-wheezy
+ if test -e /etc/cron.monthly/exim4-base && \
+ dpkg --compare-versions "$2" le "4.80-7~"; then
+ rm_conffile mypackage "/etc/cron.monthly/exim4-base"
+ fi
+esac